WordPress a publié de nouvelles informations décrivant pourquoi WordPress 5.5 a eu un impact négatif sur des millions de sites Web – une quantité incroyable. WordPress publie une version de maintenance, la version 5.5.1. Il est destiné à servir de correctif afin que les développeurs de plugins et de thèmes puissent mettre à jour leur logiciel.

L’annonce de ce qui n’a pas fonctionné était liée à un tableau répertoriant des centaines de plugins et de sujets affectés.

Le tableau indique également quel est le problème avec les plugins et les conceptions individuels. Cela aide les développeurs de logiciels à corriger leurs plugins et leurs conceptions.

Version de maintenance de WordPress 5.5.1 1 septembre 2020

La version de maintenance de WordPress 5.5.1 est conçue pour empêcher la corruption des sites Web. Cependant, les bogues doivent encore être corrigés.

WordPress a décrit le problème comme suit:

«Dans WordPress 5.5, les objets JavaScript globaux répertoriés ci-dessous ont été supprimés sans être obsolètes. WordPress 5.5.1 ajoute un rembourrage pour ces globaux afin qu’ils ne provoquent plus d’erreurs JavaScript. « 

Les développeurs de plugins et de thèmes ont jusqu’en mars 2021 pour patcher le code. Le fait de ne pas corriger le code entraîne une autre série de bogues sur le site.

Selon WordPress:

«Il est prévu de supprimer ce code de secours dans deux versions majeures afin qu’il soit supprimé dans WordPress 5.7. Cela donne aux développeurs de plugins et de thèmes suffisamment de temps pour supprimer le code en conflit et passer à wp.i18n. « 

La publicité

Lisez ci-dessous

Des millions de sites Web concernés

Le tableau a révélé le nombre inconnu de sites Web endommagés.

Au départ, il y avait des spéculations occasionnelles selon lesquelles l’impact était relativement mineur et limité à des milliers de sites Web. Mais ce n’était pas le cas.

WordPress 5.5 a eu un impact négatif sur des millions de sites Web.

Pour cette raison, un patch a été publié de toute urgence aujourd’hui, 1er septembre 2020.

Certains plugins ont déjà été corrigés

Tous les plugins de la liste ne sont pas encore bogués. Certains ont été corrigés.

Parmi les plugins concernés avec des millions d’utilisateurs:

  • SiteOrigin Widgets Bundle +1 million d’utilisateurs
  • Champs personnalisés avancés +1 million d’utilisateurs
  • Formulaire de contact Ninja Forms – Le générateur de formulaires par glisser-déposer pour WordPress +1 million d’utilisateurs

La publicité

Lisez ci-dessous

Liste partielle des plugins concernés par WordPress 5.5

  • Plugin de galerie WordPress – NextGEN Gallery
  • Polylang
  • Configurateur de thème subsidiaire
  • CSS et JS personnalisés simples
  • Types de jeux d’outils – Types de publication personnalisés, champs personnalisés et taxonomies
  • Max méga menu
  • WP AutoTerms: Générateur de politique de confidentialité, Bannières d’avis sur les cookies, Générateur de conditions générales
  • Liste de souhaits YITH WooCommerce
  • Ocean Extra
  • Plugin WordPress SEO – Mathématiques de classement
  • Meta Box – Framework de champs personnalisés WordPress
  • Kolibri – Optimisation de la vitesse, cache, minimisation et relocalisation des CSS et JavaScript critiques
  • Vues du contenu – Grille de publication et liste pour WordPress

Sujets populaires affectés par WordPress 5.5:

  • Astra +1 million d’utilisateurs
  • Storefront +200 000 utilisateurs
  • Hestia +100 000 utilisateurs
  • Neve +100 000 utilisateurs
  • ColorMag +100 000 utilisateurs
  • Personnaliser
  • Hueman
  • Zakra

De nombreux autres problèmes ont été touchés. Une liste de tous les sujets concernés peut être trouvée sur le lien ci-dessous.

Mise à jour vers WordPress vers la version 5.5.1

Cette mise à jour de maintenance a été développée pour résoudre une grande variété de bogues découverts après la sortie de la version 5.5. Pour ceux qui ont rétabli leurs sites Web vers une version précédente de WordPress parce que la version 5.5 a endommagé leurs sites Web, c’est la version qui doit être téléchargée. Les problèmes découverts ont été corrigés.

La publicité

Lisez ci-dessous

Devis

Annonce officielle de WordPress de ce qui n’a pas fonctionné

Globales JavaScript obsolètes
https://make.wordpress.org/core/2020/09/01/deprecated-javascript-globals/

Feuille de calcul avec une liste complète des plugins et thèmes concernés
https://docs.google.com/spreadsheets/d/1Vho7hJR4DMRyns38xcUMvVUj8SBov_J8_X4a7zwpmzo/edit#gid=0

Liste des sujets concernés par WordPress 5.5

https://wpdirectory.net/search/01EGTF335TMRA3GYQP50B4TKJQ
https://wpdirectory.net/search/01EGTFB0SAFN4ZDDG8E4K7544H





Source link

Recent Posts